org.eclipse.gef.dot.internal.ui.language.highlighting

## Class DotSubgrammarHighlighter

- java.lang.Object
- - org.eclipse.gef.dot.internal.ui.language.highlighting.DotSubgrammarHighlighter

    public class DotSubgrammarHighlighter
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`DotSubgrammarHighlighter(String language)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `provideHightlightingFor(String text, int startOffset, org.eclipse.xtext.ui.editor.syntaxcoloring.IHighlightedPositionAcceptor hostGrammarAcceptor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotSubgrammarHighlighter

    public DotSubgrammarHighlighter(String language)

### Method Detail

#### provideHightlightingFor

    public void provideHightlightingFor(String text,
                                        int startOffset,
                                        org.eclipse.xtext.ui.editor.syntaxcoloring.IHighlightedPositionAcceptor hostGrammarAcceptor)